# Class SimpleTreeEnumeration

java.lang.Object
jspecview.tree.SimpleTreeEnumeration

All Implemented Interfaces:
  `Enumeration<JSVTreeNode>`

public class SimpleTreeEnumeration extends Object implements Enumeration<JSVTreeNode>

## Constructor Summary

Constructors
Constructor
Description
`SimpleTreeEnumeration(SimpleTreeNode jsTreeNode)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasMoreElements()`
`JSVTreeNode`
`nextElement()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Enumeration

`asIterator`

## Constructor Details

### SimpleTreeEnumeration

public SimpleTreeEnumeration(SimpleTreeNode jsTreeNode)

## Method Details

### hasMoreElements

public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `Enumeration<JSVTreeNode>`

### nextElement

public JSVTreeNode nextElement()

Specified by:
  `nextElement` in interface `Enumeration<JSVTreeNode>`